import 'dart:developer';
import 'dart:math' hide log;

import 'package:healthrian_ble_support/healthrian_ble_support.dart';

extension BLEManagerMode on BLEManager {
  bool get enableWearEcg12 => enable[0];

  bool get enableCardioClick => enable[1];

  bool get enableWearCardioT => enable[2];

  bool get enableCustomDevice => enable[4];

  set enableWearEcg12(bool value) {
    enable[0] = value;
  }

  set enableCardioClick(bool value) {
    enable[1] = value;
  }

  set enableWearCardioT(bool value) {
    enable[2] = value;
  }

  set enableCustomDevice(bool value) {
    enable[3] = value;
  }

  @deprecated
  void setMode({List<bool> enableList = const [true, true, true, false]}) {
    log('set mode ${enableList}');
    if (enableList.length < 3) return;
    for (var i = 0; i < min(enableList.length, enable.length); i++) {
      enable[i] = enableList[i];
    }
  }
}
